%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%global srcname carrot

Name:           python-%{srcname}
Version:        0.10.7
Release:        3%{?dist}
Summary:        AMQP Messaging Framework for Python

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/carrot
Source0:        http://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       python-amqplib
Requires:       python-anyjson
Requires:       PyYAML


%description
python-carrot is an AMQP messaging queue framework. AMQP is the Advanced
Message Queuing Protocol, an open standard protocol for message
orientation, queuing, routing, reliability and security.

The aim of python-carrot is to make messaging in Python as easy as possible
by providing a high-level interface for producing and consuming
messages. At the same time it is a goal to re-use what is already
available as much as possible.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog LICENSE
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}*.egg-info


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan  8 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.10.7-2
- Add requires on python-anyjson instead of python-json.
- BR on python-devel instead of python2-devel.
- Add buildroot for use in EPEL branches.
- Add python-sitelib macro.

* Mon Nov 01 2010 Fabian Affolter <fabian@bernewireless.net> - 0.10.7-1
- Updated to new upstream release 0.10.7

* Sat Jul 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.10.5-1
- Initial package
